﻿body {
	background-color: #e5e1e6;
}

.mainCol {
	text-align:center;
}
.pinContainer {
	padding: 5px;
	position: relative;
	white-space: nowrap;
	display: table;
	width: 100%;
}

.pinLabel {
	padding: 5px 5px 5px 10px;
	background-color: #235782;
	border-radius: 5px 0 0 5px;
	display: table-cell;
	width: 40px;
	font-size: 20px;
	color:white; 
}

.pinText {
	border-radius: 0 5px 5px 0;
	border: none;
	padding: 5px;
	background-color: #ffffff;
	width: calc(100% - 10px); /*padding is 10px*/
	display: table-cell;
	min-width: 200px;
}

.buttonContainer {
	padding-top:15px;
}

.pinContainer {
	font-size: 26px;
}


/*modified from https://proto.io/freebies/onoff/ */
.onoffswitch {
	position: relative;
	width: 100%;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
}

.onoffswitch-checkbox {
	display: none;
}

.onoffswitch-label {
	display: block;
	overflow: hidden;
	cursor: pointer;
	border-radius: 5px;
}

.onoffswitch-inner {
	display: block;
	width: 200%;
	margin-left: -100%;
	transition: margin 0.3s ease-in 0s;
}

	.onoffswitch-inner .onText, .onoffswitch-inner .offText {
		display: block;
		float: left;
		width: 50%;
		height: 40px;
		padding: 0;
		line-height: 40px;
		font-size: 18px;
		color: white;
		font-family: Trebuchet, Arial, sans-serif;
		font-weight: bold;
		box-sizing: border-box;
	}

	.onoffswitch-inner .onText {
		padding-left: 12px;
		background-color: #34A7C1;
		color: #FFFFFF;
		text-align: center;
	}

	.onoffswitch-inner .offText {
		padding-right: 12px;
		background-color: #CAE2C8;
		color: #999999;
		text-align: center;
	}

.onoffswitch-switch {
	display: block;
	width: 26px;
	margin: -3.5px;
	background: #FFFFFF;
	position: absolute;
	top: 5px;
	bottom: 0;
	right: calc(100% - 28px);
	border: 2px solid #999999;
	border-radius: 5px;
	transition: all 0.3s ease-in 0s;
	height: calc(100% - 6px);
}

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
	margin-left: 0;
}

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
	right: 0px;
}
